GNU bug report logs - #51309
28.0.60; [Feature Request] Allow to customize tab-bar button images

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Carlos Pita <carlosjosepita2@HIDDEN>; merged with #51648; dated Wed, 20 Oct 2021 22:04:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 51309 51648. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51309 <at> debbugs.gnu.org:


Received: (at 51309) by debbugs.gnu.org; 22 Oct 2021 07:24:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 22 03:24:56 2021
Received: from localhost ([127.0.0.1]:59214 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdovA-0005bR-5Q
	for submit <at> debbugs.gnu.org; Fri, 22 Oct 2021 03:24:56 -0400
Received: from relay2-d.mail.gandi.net ([217.70.183.194]:56687)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mdov8-0005bA-KU
 for 51309 <at> debbugs.gnu.org; Fri, 22 Oct 2021 03:24:54 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay2-d.mail.gandi.net (Postfix) with ESMTPSA id 3AA4A4000A;
 Fri, 22 Oct 2021 07:24:47 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Carlos Pita <carlosjosepita2@HIDDEN>
Subject: Re: bug#51309: 28.0.60; [Feature Request] Allow to customize
 tab-bar button images
Organization: LINKOV.NET
References: <CAEOO5TeyQf8LB6TU3QjuAgKAwFDRu1SOGS4ZQqGOHygfY1VbcA@HIDDEN>
 <CAEOO5TdnkXz=jhkdc_-5af1pKgrrFLLpRbfBhE8HvHG98j=LJw@HIDDEN>
Date: Fri, 22 Oct 2021 10:01:58 +0300
In-Reply-To: <CAEOO5TdnkXz=jhkdc_-5af1pKgrrFLLpRbfBhE8HvHG98j=LJw@HIDDEN>
 (Carlos Pita's message of "Thu, 21 Oct 2021 17:30:51 -0300")
Message-ID: <87r1cdikx5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51309
Cc: 51309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> Could you send such a button string with an image that looks good
>> on HiDPI screens?  Then we could try to make a customizable option
>> based on your design.
>
> Vectorized images will do it. Otherwise you will have to provide pixmaps
> at twice the resolution and, anyway, with fractional scaling they might
> end up being blurry again (although not so much as when scaling up
> x2). I assume there are not many devices with higher scaling factors
> running emacs out there, yet...

Some time ago we tried to use svg, but it had many problems with scaling
and background.  Maybe this is fixed now, need to try again.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51309; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Oct 2021 20:31:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 16:31:10 2021
Received: from localhost ([127.0.0.1]:58716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdeiU-0001Kq-JY
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 16:31:10 -0400
Received: from lists.gnu.org ([209.51.188.17]:57706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita2@HIDDEN>) id 1mdeiT-0001Jk-B2
 for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 16:31:09 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40896)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <carlosjosepita2@HIDDEN>)
 id 1mdeiS-0007Md-Dy
 for bug-gnu-emacs@HIDDEN; Thu, 21 Oct 2021 16:31:09 -0400
Received: from mail-yb1-xb2c.google.com ([2607:f8b0:4864:20::b2c]:43825)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <carlosjosepita2@HIDDEN>)
 id 1mdeiQ-0006aX-GE
 for bug-gnu-emacs@HIDDEN; Thu, 21 Oct 2021 16:31:08 -0400
Received: by mail-yb1-xb2c.google.com with SMTP id r184so2035653ybc.10
 for <bug-gnu-emacs@HIDDEN>; Thu, 21 Oct 2021 13:31:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=Ri4t/IorAxuSuvZ6VwpzyzZo2kKRz//COjEaf8nN/DY=;
 b=W2qW1V/9qmuThDi3wzaqxmEmqmOhYcIGy47sUWaaqCpt6QNQuEl9DKqFFKzJtxa6nl
 I9l0OW5NJqH4wumwwcRcgBOrkGrXD1lu5y1sTEyIrHCMEa/qucIV4mliQOdri6Y2bQQf
 7vBGdzY1jmjDt2I9OsU5TJZkgujB7C+uWdSUR9Ar5VerUqHj7X3/OuclwkzdbgnyrhZP
 hALGzM4QtB1HczpkofUyd6m+zq7z/B6ib4yGABP3ODxsrrbTFCG4Giv5jjF9Hhm7jTyb
 vO+6FhsGdgcbDjaWhJzFwxZT/5bPU53bJoHgT/H5qFqfkqchQ5UKXJ4pNQ/1p3tcMddW
 cKNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=Ri4t/IorAxuSuvZ6VwpzyzZo2kKRz//COjEaf8nN/DY=;
 b=M+hCkDq39e6bA1jMSIG1J3e4js+rlcXc81lhgBhzLoW0/IGP0asFMeCRy6gpTnl3fV
 bkurxuBn9g2VUCnpZMG7QEw2rMiGw1jOM2FvhjzoeFedpVr1UQi54vhEAcy0UZ1Genth
 hCOWW0FwtGja7AD9yDBfAXQtFtRbewN0SYkDBaiIQag8KFvx5lSyTkJJgkC2G9R2gIbz
 h+okAqxxMBdv2AeDHvoX4azr0dfg7yEKJi5c9v4iz/UleOjeUBfIdraow3LCLbdIW53R
 kvSR5e5WY8C8TMpRQVG9JyXpmHuqsx834VtqMen/3mCXvCwh+lBI2AQXzVMvoCFawwRl
 njQw==
X-Gm-Message-State: AOAM530ignBZA4Gha4AlqOsHpg1M3ziXky9sWB0OwsK2rLW2zZaq5IVR
 eEBTqvFZ++wTEpufQtNzUgSura665Y1aiuXLdzFBJBbIWp4=
X-Google-Smtp-Source: ABdhPJy5M8XU88hY5CzKViEi5uylVE5AdfXrkas19Tj1yTYr9hwAfvZJd3F/uxTRnf3T4rTRHab6xVSeY1cfPnow3NE=
X-Received: by 2002:a25:5545:: with SMTP id j66mr8470331ybb.288.1634848264175; 
 Thu, 21 Oct 2021 13:31:04 -0700 (PDT)
MIME-Version: 1.0
References: <CAEOO5TeyQf8LB6TU3QjuAgKAwFDRu1SOGS4ZQqGOHygfY1VbcA@HIDDEN>
In-Reply-To: <CAEOO5TeyQf8LB6TU3QjuAgKAwFDRu1SOGS4ZQqGOHygfY1VbcA@HIDDEN>
From: Carlos Pita <carlosjosepita2@HIDDEN>
Date: Thu, 21 Oct 2021 17:30:51 -0300
Message-ID: <CAEOO5TdnkXz=jhkdc_-5af1pKgrrFLLpRbfBhE8HvHG98j=LJw@HIDDEN>
Subject: Re: 28.0.60;
 [Feature Request] Allow to customize tab-bar button images
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2607:f8b0:4864:20::b2c;
 envelope-from=carlosjosepita2@HIDDEN; helo=mail-yb1-xb2c.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Hi Juri,

> This definitely should be customizable, but it's unclear what do you
> want to customize: only the file path to the image, or allow to set
> the button propertized with an image with image properties like
> :margin/:ascent?

Probably the entire (image ...) descriptor. So it's possible to use svg
images (with rsvg enabled which now is the
default) that will work fine at any resolution. Also, even if the images
are correctly centered, they look vertically misaligned wrt text, this
is pretty common and tweaking the ascent may help, I guess.

And perhaps setting a nil descriptor should be allowed as a way to
disable the image altogether.

> Could you send such a button string with an image that looks good
> on HiDPI screens?  Then we could try to make a customizable option
> based on your design.

Vectorized images will do it. Otherwise you will have to provide pixmaps
at twice the resolution and, anyway, with fractional scaling they might
end up being blurry again (although not so much as when scaling up
x2). I assume there are not many devices with higher scaling factors
running emacs out there, yet...

There are plenty of free svg icons for light and dark themes here:
https://github.com/microsoft/vscode-icons/tree/main/icons.

Best regards,
Carlos




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51309; Package emacs. Full text available.

Message received at 51309 <at> debbugs.gnu.org:


Received: (at 51309) by debbugs.gnu.org; 21 Oct 2021 16:53:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 21 12:53:00 2021
Received: from localhost ([127.0.0.1]:58423 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdbJM-0006LI-0o
	for submit <at> debbugs.gnu.org; Thu, 21 Oct 2021 12:53:00 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:38147)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mdbJI-0006Ku-K5
 for 51309 <at> debbugs.gnu.org; Thu, 21 Oct 2021 12:52:58 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 3EB266000E;
 Thu, 21 Oct 2021 16:52:50 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Carlos Pita <carlosjosepita2@HIDDEN>
Subject: Re: bug#51309: 28.0.60; [Feature Request] Allow to customize
 tab-bar button images
Organization: LINKOV.NET
References: <CAEOO5TeyQf8LB6TU3QjuAgKAwFDRu1SOGS4ZQqGOHygfY1VbcA@HIDDEN>
Date: Thu, 21 Oct 2021 19:46:13 +0300
In-Reply-To: <CAEOO5TeyQf8LB6TU3QjuAgKAwFDRu1SOGS4ZQqGOHygfY1VbcA@HIDDEN>
 (Carlos Pita's message of "Wed, 20 Oct 2021 19:03:01 -0300")
Message-ID: <87lf2mzaca.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 51309
Cc: 51309 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> as you can see in the attached images, the xpm files provided for
> tab-bar buttons don't look very well in many cases:
>
> 1. They are low resolution so they are scaled x 2 in HiDPI screens
> (when there is support for this, I guess for other users they look
> tiny instead).
> 2. The light background is particularly ugly (at least IMO) with dark
> themes and, in general, I believe the ability to blend the button
> background with the default background would be appreciated by a
> number of users.
> 3. Vertical alignment looks slightly off center.

They look sufficiently well but there is always room for improvement.
All suggestions are welcome.

> Maybe "tabs/close.xpm" is already intended to be an abstract
> specification of an xpm that is then loaded as described in [1]:
>
>> If file is not an absolute file name, it is expanded relative to the
>> images subdirectory of data-directory
>
> so that each theme has to locally, temporally(, whatever) override
> data-directory somehow, but I believe it's not like that, I believe
> icons are simply hardcoded.
>
> Given the shortcomings listed above, why not provide some customizable
> variables to change the icons?

This definitely should be customizable, but it's unclear what do you
want to customize: only the file path to the image, or allow to set
the button propertized with an image with image properties like
:margin/:ascent?

Could you send such a button string with an image that looks good
on HiDPI screens?  Then we could try to make a customizable option
based on your design.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51309; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Oct 2021 22:03:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 20 18:03:26 2021
Received: from localhost ([127.0.0.1]:55658 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mdJgD-0004kc-Fv
	for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 18:03:26 -0400
Received: from lists.gnu.org ([209.51.188.17]:43838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita2@HIDDEN>) id 1mdJgA-0004kT-VU
 for submit <at> debbugs.gnu.org; Wed, 20 Oct 2021 18:03:24 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37582)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <carlosjosepita2@HIDDEN>)
 id 1mdJgA-0002tx-Og
 for bug-gnu-emacs@HIDDEN; Wed, 20 Oct 2021 18:03:22 -0400
Received: from mail-yb1-xb2f.google.com ([2607:f8b0:4864:20::b2f]:44617)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <carlosjosepita2@HIDDEN>)
 id 1mdJg6-0001jh-RW
 for bug-gnu-emacs@HIDDEN; Wed, 20 Oct 2021 18:03:22 -0400
Received: by mail-yb1-xb2f.google.com with SMTP id s64so18431685yba.11
 for <bug-gnu-emacs@HIDDEN>; Wed, 20 Oct 2021 15:03:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=svUxDyItm/JtW6zHWZH8DvDjwjJV6w39o4cXoSwECss=;
 b=ECaEcLDWaKqgGGmQJ0xJLPR47PUTJvs9yTwzDkKco439LtcZbokgPwwRjQMyGziBx/
 jtT7sdp7LoXbgQZS1vZtyIi/SM6MPYVn8V4Xa63a9KMKROEpPbQUeJjTeTDL8Xnzpc/L
 qhjBx7XKRxXNjf7dhfPIR8gOOsWdB7XA5P29oHgKg04elcqacmrwKy7VE1azmpitqo13
 c+scfd2TH5i8eAerZBVFbhZuq5/WUHnbt1M5yZzyYG23Zrx+ZeKr0BFGCyuQlrtNd8el
 S9EoSklYRBZvrio48qlctTPjMd/RCVYiYjbrzrfZ9n3P8j/8P0iYRayDas6gMMt7rCEs
 Dfig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=svUxDyItm/JtW6zHWZH8DvDjwjJV6w39o4cXoSwECss=;
 b=WZGMDAR2/+Fv0wZLrvwSQ0ZSvIk6937wSBLH14ekxzW0IglyChzQHVliDAJoSvqDvo
 CYOjy8e19SDiCoBAnTwRvdD6d8oKGhgAKzk6bSKtHnYoSYzA3M9DO9H2xbIO9ITUuKNP
 toU489QFabZkuRr0H7EHWei32pI+tPylJYasFsJUqnXmjTLTC/ZOkrn9E8qv53H6iE2I
 DpCKd5Tq9l/WVEkBp4TXELqUqkK6crEMoCq9HWpEDGS9gUCtxdjgp+kgyUbXwcSi4fY3
 PEuaOBZiAKlKIhl7NXqDWon2mGN6U3QxSWbH97yrZpGgrHNaNoDqVKr5yUGMFPH2mjfG
 sQnQ==
X-Gm-Message-State: AOAM533czIifjJTiWjdgsATXum1oLmWZAUCt+VaQJ+3jWg5xETabc+Vp
 Wg08IST5pZ/HpfZtuK+RGbChyqZ8YG6Jj3+HYangq2Q/yV/nHw==
X-Google-Smtp-Source: ABdhPJzGsYB79K5hH4r0LS9Y0UOgoB/mDOr7cK1c6Xymkzo9+KyoZiG7m9Ypz6IELi6YgIWW+qWc4CgvdXv3jYC3Ras=
X-Received: by 2002:a25:e7d7:: with SMTP id e206mr1626997ybh.267.1634767397143; 
 Wed, 20 Oct 2021 15:03:17 -0700 (PDT)
MIME-Version: 1.0
From: Carlos Pita <carlosjosepita2@HIDDEN>
Date: Wed, 20 Oct 2021 19:03:01 -0300
Message-ID: <CAEOO5TeyQf8LB6TU3QjuAgKAwFDRu1SOGS4ZQqGOHygfY1VbcA@HIDDEN>
Subject: 28.0.60; [Feature Request] Allow to customize tab-bar button images
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000ff68a805cecff128"
Received-SPF: pass client-ip=2607:f8b0:4864:20::b2f;
 envelope-from=carlosjosepita2@HIDDEN; helo=mail-yb1-xb2f.google.com
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--000000000000ff68a805cecff128
Content-Type: text/plain; charset="UTF-8"

Hi all,

as you can see in the attached images, the xpm files provided for
tab-bar buttons don't look very well in many cases:

1. They are low resolution so they are scaled x 2 in HiDPI screens
(when there is support for this, I guess for other users they look
tiny instead).
2. The light background is particularly ugly (at least IMO) with dark
themes and, in general, I believe the ability to blend the button
background with the default background would be appreciated by a
number of users.
3. Vertical alignment looks slightly off center.

In tab-bar.el I see code like this:

    (add-text-properties 0 (length tab-bar-close-button)
                         `(display (image :type xpm
                                          :file "tabs/close.xpm"
                                          :margin ,tab-bar-button-margin
                                          :ascent center))
                         tab-bar-close-button))

Maybe "tabs/close.xpm" is already intended to be an abstract
specification of an xpm that is then loaded as described in [1]:

> If file is not an absolute file name, it is expanded relative to the images subdirectory of data-directory

so that each theme has to locally, temporally(, whatever) override
data-directory somehow, but I believe it's not like that, I believe
icons are simply hardcoded.

Given the shortcomings listed above, why not provide some customizable
variables to change the icons?

Best regards,
Carlos

[1] https://www.gnu.org/software/emacs/manual/html_node/elisp/Image-Descriptors.html

---

In GNU Emacs 28.0.60 (build 3, x86_64-apple-darwin20.6.0, NS
appkit-2022.60 Version 11.6 (Build 20G165))
 of 2021-10-18 built on Carloss-MacBook-Pro.local
Repository revision: f5b8f626e3d7233a935e67ffc5ffee0de9069ae5
Repository branch: emacs-28
Windowing system distributor 'Apple', version 10.3.2022
System Description:  macOS 11.6

Configured using:
 'configure --without-native-compilation'

Configured features:
ACL DBUS GLIB GMP GNUTLS JPEG JSON LCMS2 LIBXML2 MODULES NOTIFY KQUEUE
NS PDUMPER PNG RSVG THREADS TIFF TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  shell-dirtrack-mode: t
  recentf-mode: t
  outline-minor-mode: t
  display-line-numbers-mode: t
  company-box-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  ivy-mode: t
  global-company-mode: t
  company-mode: t
  which-key-mode: t
  override-global-mode: t
  electric-pair-mode: t
  minions-mode: t
  doom-modeline-mode: t
  ns-auto-titlebar-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tab-bar-history-mode: t
  tab-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/Users/carlos/.emacs.d/straight/build/transient/transient hides
/Applications/Emacs.app/Contents/Resources/lisp/transient
/Users/carlos/.emacs.d/straight/build/org/ob-exp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-exp
/Users/carlos/.emacs.d/straight/build/org/ob-emacs-lisp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-emacs-lisp
/Users/carlos/.emacs.d/straight/build/org/oc hides
/Applications/Emacs.app/Contents/Resources/lisp/org/oc
/Users/carlos/.emacs.d/straight/build/org/ob-css hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-css
/Users/carlos/.emacs.d/straight/build/org/ob-lob hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lob
/Users/carlos/.emacs.d/straight/build/org/ol-irc hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-irc
/Users/carlos/.emacs.d/straight/build/org/ob-forth hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-forth
/Users/carlos/.emacs.d/straight/build/org/org-macs hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-macs
/Users/carlos/.emacs.d/straight/build/org/ob hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob
/Users/carlos/.emacs.d/straight/build/org/org-version hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-version
/Users/carlos/.emacs.d/straight/build/org/ob-scheme hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-scheme
/Users/carlos/.emacs.d/straight/build/org/ox hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox
/Users/carlos/.emacs.d/straight/build/org/ob-C hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-C
/Users/carlos/.emacs.d/straight/build/org/org-capture hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-capture
/Users/carlos/.emacs.d/straight/build/org/ob-ref hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ref
/Users/carlos/.emacs.d/straight/build/org/ob-clojure hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-clojure
/Users/carlos/.emacs.d/straight/build/org/org-mouse hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mouse
/Users/carlos/.emacs.d/straight/build/org/org-ctags hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-ctags
/Users/carlos/.emacs.d/straight/build/org/org-entities hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-entities
/Users/carlos/.emacs.d/straight/build/org/org-archive hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-archive
/Users/carlos/.emacs.d/straight/build/org/ob-screen hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-screen
/Users/carlos/.emacs.d/straight/build/org/ol-bibtex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-bibtex
/Users/carlos/.emacs.d/straight/build/org/ob-haskell hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-haskell
/Users/carlos/.emacs.d/straight/build/org/org-table hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-table
/Users/carlos/.emacs.d/straight/build/org/ol-eww hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-eww
/Users/carlos/.emacs.d/straight/build/org/ol-man hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-man
/Users/carlos/.emacs.d/straight/build/org/ox-org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-org
/Users/carlos/.emacs.d/straight/build/org/org-num hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-num
/Users/carlos/.emacs.d/straight/build/org/org-plot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-plot
/Users/carlos/.emacs.d/straight/build/org/ol-rmail hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-rmail
/Users/carlos/.emacs.d/straight/build/org/ob-awk hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-awk
/Users/carlos/.emacs.d/straight/build/org/ob-groovy hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-groovy
/Users/carlos/.emacs.d/straight/build/org/ob-octave hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-octave
/Users/carlos/.emacs.d/straight/build/org/org-faces hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-faces
/Users/carlos/.emacs.d/straight/build/org/oc-biblatex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/oc-biblatex
/Users/carlos/.emacs.d/straight/build/org/org-colview hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-colview
/Users/carlos/.emacs.d/straight/build/org/ob-R hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-R
/Users/carlos/.emacs.d/straight/build/org/org-refile hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-refile
/Users/carlos/.emacs.d/straight/build/org/org-timer hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-timer
/Users/carlos/.emacs.d/straight/build/org/org-mobile hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-mobile
/Users/carlos/.emacs.d/straight/build/org/ob-fortran hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-fortran
/Users/carlos/.emacs.d/straight/build/org/ob-shell hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-shell
/Users/carlos/.emacs.d/straight/build/org/ob-perl hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-perl
/Users/carlos/.emacs.d/straight/build/org/ob-sqlite hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sqlite
/Users/carlos/.emacs.d/straight/build/org/oc-basic hides
/Applications/Emacs.app/Contents/Resources/lisp/org/oc-basic
/Users/carlos/.emacs.d/straight/build/org/ob-sed hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sed
/Users/carlos/.emacs.d/straight/build/org/org-list hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-list
/Users/carlos/.emacs.d/straight/build/org/ob-ruby hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ruby
/Users/carlos/.emacs.d/straight/build/org/ob-eval hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-eval
/Users/carlos/.emacs.d/straight/build/org/org-habit hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-habit
/Users/carlos/.emacs.d/straight/build/org/org-clock hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-clock
/Users/carlos/.emacs.d/straight/build/org/org-goto hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-goto
/Users/carlos/.emacs.d/straight/build/org/ox-html hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-html
/Users/carlos/.emacs.d/straight/build/org/org-src hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-src
/Users/carlos/.emacs.d/straight/build/org/ob-lisp hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lisp
/Users/carlos/.emacs.d/straight/build/org/ol-eshell hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-eshell
/Users/carlos/.emacs.d/straight/build/org/ob-ditaa hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ditaa
/Users/carlos/.emacs.d/straight/build/org/org-pcomplete hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-pcomplete
/Users/carlos/.emacs.d/straight/build/org/org-lint hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-lint
/Users/carlos/.emacs.d/straight/build/org/ox-latex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-latex
/Users/carlos/.emacs.d/straight/build/org/ob-sass hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sass
/Users/carlos/.emacs.d/straight/build/org/ob-tangle hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-tangle
/Users/carlos/.emacs.d/straight/build/org/ob-calc hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-calc
/Users/carlos/.emacs.d/straight/build/org/ob-java hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-java
/Users/carlos/.emacs.d/straight/build/org/ox-icalendar hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-icalendar
/Users/carlos/.emacs.d/straight/build/org/ol-mhe hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-mhe
/Users/carlos/.emacs.d/straight/build/org/org-attach-git hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-attach-git
/Users/carlos/.emacs.d/straight/build/org/ox-md hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-md
/Users/carlos/.emacs.d/straight/build/org/ox-beamer hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-beamer
/Users/carlos/.emacs.d/straight/build/org/org-element hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-element
/Users/carlos/.emacs.d/straight/build/org/oc-natbib hides
/Applications/Emacs.app/Contents/Resources/lisp/org/oc-natbib
/Users/carlos/.emacs.d/straight/build/org/org-protocol hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-protocol
/Users/carlos/.emacs.d/straight/build/org/ob-gnuplot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-gnuplot
/Users/carlos/.emacs.d/straight/build/org/org-tempo hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-tempo
/Users/carlos/.emacs.d/straight/build/org/ob-latex hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-latex
/Users/carlos/.emacs.d/straight/build/org/ol-w3m hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-w3m
/Users/carlos/.emacs.d/straight/build/org/org-id hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-id
/Users/carlos/.emacs.d/straight/build/org/ox-man hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-man
/Users/carlos/.emacs.d/straight/build/org/ol-doi hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-doi
/Users/carlos/.emacs.d/straight/build/org/org-feed hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-feed
/Users/carlos/.emacs.d/straight/build/org/ob-julia hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-julia
/Users/carlos/.emacs.d/straight/build/org/ob-lua hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lua
/Users/carlos/.emacs.d/straight/build/org/ob-table hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-table
/Users/carlos/.emacs.d/straight/build/org/ob-ocaml hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-ocaml
/Users/carlos/.emacs.d/straight/build/org/oc-csl hides
/Applications/Emacs.app/Contents/Resources/lisp/org/oc-csl
/Users/carlos/.emacs.d/straight/build/org/ol-gnus hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-gnus
/Users/carlos/.emacs.d/straight/build/org/org-indent hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-indent
/Users/carlos/.emacs.d/straight/build/org/ob-lilypond hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-lilypond
/Users/carlos/.emacs.d/straight/build/org/ob-matlab hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-matlab
/Users/carlos/.emacs.d/straight/build/org/org-datetree hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-datetree
/Users/carlos/.emacs.d/straight/build/org/ol-docview hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-docview
/Users/carlos/.emacs.d/straight/build/org/ob-python hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-python
/Users/carlos/.emacs.d/straight/build/org/ob-makefile hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-makefile
/Users/carlos/.emacs.d/straight/build/org/org-duration hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-duration
/Users/carlos/.emacs.d/straight/build/org/org-agenda hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-agenda
/Users/carlos/.emacs.d/straight/build/org/ob-dot hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-dot
/Users/carlos/.emacs.d/straight/build/org/ob-js hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-js
/Users/carlos/.emacs.d/straight/build/org/ox-publish hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-publish
/Users/carlos/.emacs.d/straight/build/org/org-inlinetask hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-inlinetask
/Users/carlos/.emacs.d/straight/build/org/ob-org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-org
/Users/carlos/.emacs.d/straight/build/org/org-keys hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-keys
/Users/carlos/.emacs.d/straight/build/org/ob-core hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-core
/Users/carlos/.emacs.d/straight/build/org/org-compat hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-compat
/Users/carlos/.emacs.d/straight/build/org/ol hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol
/Users/carlos/.emacs.d/straight/build/org/ox-odt hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-odt
/Users/carlos/.emacs.d/straight/build/org/ol-info hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-info
/Users/carlos/.emacs.d/straight/build/org/ob-plantuml hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-plantuml
/Users/carlos/.emacs.d/straight/build/org/ob-eshell hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-eshell
/Users/carlos/.emacs.d/straight/build/org/ox-ascii hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-ascii
/Users/carlos/.emacs.d/straight/build/org/org-loaddefs hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-loaddefs
/Users/carlos/.emacs.d/straight/build/org/ox-koma-letter hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-koma-letter
/Users/carlos/.emacs.d/straight/build/org/ob-maxima hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-maxima
/Users/carlos/.emacs.d/straight/build/org/org hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org
/Users/carlos/.emacs.d/straight/build/org/ol-bbdb hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ol-bbdb
/Users/carlos/.emacs.d/straight/build/org/org-macro hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-macro
/Users/carlos/.emacs.d/straight/build/org/ob-sql hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-sql
/Users/carlos/.emacs.d/straight/build/org/org-attach hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-attach
/Users/carlos/.emacs.d/straight/build/org/ob-processing hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-processing
/Users/carlos/.emacs.d/straight/build/org/ox-texinfo hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ox-texinfo
/Users/carlos/.emacs.d/straight/build/org/org-crypt hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-crypt
/Users/carlos/.emacs.d/straight/build/org/org-footnote hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-footnote
/Users/carlos/.emacs.d/straight/build/org/org-install hides
/Applications/Emacs.app/Contents/Resources/lisp/org/org-install
/Users/carlos/.emacs.d/straight/build/org/ob-comint hides
/Applications/Emacs.app/Contents/Resources/lisp/org/ob-comint
/Users/carlos/.emacs.d/straight/build/let-alist/let-alist hides
/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/let-alist

Features:
(shadow sort mail-extr emacsbug sendmail ffap tramp tramp-loaddefs
trampver tramp-integration files-x tramp-compat shell ls-lisp debug
backtrace doom-Iosvkem-theme shortdoc cus-start crm cl-print help-fns
radix-tree org-element org-persist org-id org-refile avl-tree ol-eww eww
url-queue mm-url ol-rmail ol-mhe ol-irc ol-info ol-gnus nnselect
gnus-search eieio-opt speedbar ezimage dframe gnus-art mm-uu mml2015
mm-view mml-smime smime dig gnus-sum shr kinsoku svg dom browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util url-parse url-vars mailcap gnus-group gnus-undo
gnus-start gnus-dbus dbus xml gnus-cloud nnimap nnmail mail-source utf7
netrc nnoo parse-time gnus-spec gnus-int gnus-range message rmc puny
rfc822 mml mml-sec epa epg rfc6068 epg-config mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win
gnus nnheader gnus-util rmail rmail-loaddefs auth-source password-cache
rfc2047 rfc2045 ietf-drums mail-utils mm-util mail-prsvr ol-docview
doc-view jka-compr image-mode exif ol-bibtex ol-bbdb ol-w3m ol-doi
org-link-doi org ob ob-tangle ob-ref ob-lob ob-table ob-exp org-macro
org-footnote org-src ob-comint org-pcomplete pcomplete org-list
org-faces org-entities org-version ob-emacs-lisp ob-core ob-eval
org-table oc-basic json map bibtex iso8601 time-date ol org-keys oc
org-compat org-macs org-loaddefs find-func cal-menu calendar
cal-loaddefs vc-mtn vc-hg vc-git diff-mode vc-bzr vc-src vc-sccs vc-svn
vc-cvs vc-rcs vc vc-dispatcher recentf tree-widget bookmark thingatpt
noutline outline display-line-numbers server pdf-tools-autoloads
tablist-autoloads org-roam-autoloads emacsql-sqlite-autoloads
emacsql-autoloads company-box company-box-doc frame-local
company-box-icons lsp-pyright-autoloads pyvenv-autoloads
jupyter-autoloads websocket-autoloads simple-httpd-autoloads
zmq-autoloads code-cells-autoloads dired-x exec-path-from-shell
exec-path-from-shell-autoloads polymode derived poly-lock polymode-base
polymode-weave polymode-export polymode-compat polymode-methods
polymode-core format-spec polymode-classes eieio-custom eieio-base eieio
eieio-core eieio-loaddefs polymode-autoloads jinja2-mode-autoloads
yasnippet-snippets-autoloads yasnippet-snippets yasnippet
yasnippet-autoloads hl-todo-autoloads cus-edit pp cus-load wid-edit
flycheck-autoloads let-alist-autoloads pkg-info-autoloads epl-autoloads
dap-mode-autoloads bui-autoloads lsp-treemacs-autoloads
lsp-ivy-autoloads lsp-ui-autoloads lsp-mode-autoloads
markdown-mode-autoloads spinner-autoloads git-timemachine-autoloads
magit-autoloads magit-section-autoloads git-commit-autoloads
with-editor-autoloads transient-autoloads treemacs-icons-dired-autoloads
treemacs-projectile-autoloads treemacs-autoloads cfrs-autoloads
posframe-autoloads ht-autoloads hydra-autoloads lv-autoloads
pfuture-autoloads ace-window-autoloads projectile-autoloads counsel xdg
dired dired-loaddefs compile text-property-search comint ansi-color
swiper ivy delsel ivy-faces ivy-overlay colir color counsel-autoloads
swiper-autoloads ivy-autoloads company-box-autoloads
frame-local-autoloads company-oddmuse company-keywords company-etags
etags fileloop generator xref project ring company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb company pcase company-autoloads which-key advice
which-key-autoloads visual-fill-column-autoloads wgrep-autoloads
avy-autoloads edmacro kmacro undo-tree-autoloads use-package-bind-key
bind-key easy-mmode elec-pair minions minions-autoloads doom-modeline
doom-modeline-segments doom-modeline-env doom-modeline-core shrink-path
rx f s all-the-icons all-the-icons-faces data-material data-weathericons
data-octicons data-fileicons data-faicons data-alltheicons dash
doom-modeline-autoloads shrink-path-autoloads f-autoloads dash-autoloads
s-autoloads all-the-icons-autoloads doom-themes-ext-org
doom-themes-ext-treemacs doom-themes-ext-visual-bell face-remap
doom-solarized-light-theme doom-themes doom-themes-base
doom-themes-autoloads finder-inf ns-auto-titlebar
ns-auto-titlebar-autoloads use-package-core use-package-autoloads
bind-key-autoloads straight-autoloads info cl-seq cl-extra help-mode seq
byte-opt straight subr-x cl-macs gv cl-loaddefs cl-lib bytecomp
byte-compile cconv iso-transl tooltip eldoc paren electric uniquify
ediff-hook vc-hooks lisp-float-type elisp-mode mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind kqueue cocoa ns
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 505641 67097)
 (symbols 48 34594 2)
 (strings 32 125591 5105)
 (string-bytes 1 4329451)
 (vectors 16 60750)
 (vector-slots 8 807482 36542)
 (floats 8 1146 584)
 (intervals 56 7466 1304)
 (buffers 992 26))

--000000000000ff68a805cecff128
Content-Type: image/png; name="image.png"
Content-Disposition: attachment; filename="image.png"
Content-Transfer-Encoding: base64
Content-ID: <f_kv01otin0>
X-Attachment-Id: f_kv01otin0
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--000000000000ff68a805cecff128
Content-Type: image/png; name="image.png"
Content-Disposition: attachment; filename="image.png"
Content-Transfer-Encoding: base64
Content-ID: <f_kv01pc1l1>
X-Attachment-Id: f_kv01pc1l1
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--000000000000ff68a805cecff128
Content-Type: image/png; name="image.png"
Content-Disposition: attachment; filename="image.png"
Content-Transfer-Encoding: base64
Content-ID: <f_kv01q6v82>
X-Attachment-Id: f_kv01q6v82
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--000000000000ff68a805cecff128--




Acknowledgement sent to Carlos Pita <carlosjosepita2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51309; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 8 Nov 2021 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.